import globals from "globals";
import pluginJs from "@eslint/js";
import tseslint from "typescript-eslint";


export default [
  {files: ["**/*.{js,mjs,cjs,ts}"]},
  {languageOptions: { globals: globals.browser }},
  pluginJs.configs.recommended,
  ...tseslint.configs.recommended,{
    "rules": {
      "no-unused-vars": ["error", { "argsIgnorePattern": "^_" }],
      "no-console": "off",
      "eqeqeq": ["warn", "always"],
      "no-var": "error",
      "prefer-arrow-callback": "warn",
      "no-use-before-define": "error",
      "no-duplicate-imports": "error",
      "no-shadow": "warn",
      "no-empty-function": "warn",
    }
  }
];
