/* this is a stater template you can delete and create your own template */
const path = require("node:path");
const express = require("express");
const dotenv = require("dotenv");
const cors = require("cors");
// initialize dotenv
dotenv.config();

// setup server port
const port = process.env.PORT || 3000;

// create express app instance  and configure middleware and routes
const app = express();

// parse incoming JSON requests  to req.body  for middleware like body-parser
app.use(express.json());

//serving static files from public
app.use(express.static(path.join(__dirname, "public", "index.html")));

// simple route example  /api/hello
app.get("/api/hello", (req, res) => {
  res.send("Hello, Buildmatrix!");
});

// start server  and listen on port 3000 or process.env.PORT
app.listen(port, () => {
  console.log(`Server running on port ${port}`);
});
